﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Anritsu MG3691B: (2 yr) VER IEEE /8901,ML2530,PN9000
DATE:                  2017-01-25 08:05:49
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       341
CONFIGURATION:         Anritsu ML2437A
CONFIGURATION:         Anritsu MA2474A/D on channel 1
CONFIGURATION:         Anritsu MA2475A/D on channel 1
CONFIGURATION:         Anritsu SC7400 on channel 1
CONFIGURATION:         Anritsu SC7430 on channel 1
CONFIGURATION:         Anritsu ML2530A
CONFIGURATION:         HP 8560
CONFIGURATION:         HP 8901B
CONFIGURATION:         Digital Multimeter
CONFIGURATION:         Function Generator
CONFIGURATION:         Local Oscillator
CONFIGURATION:         uW Counter
CONFIGURATION:         Agilent 86100A
STANDARD:              Agilent 83484A
STANDARD:              Anritsu 41KC-3
STANDARD:              Anritsu 41KC-6
STANDARD:              Anritsu 41KC-10
STANDARD:              Anritsu 41KC-20
STANDARD:              Anritsu 41V-3
STANDARD:              Anritsu 41V-6
STANDARD:              Anritsu 41V-10
STANDARD:              Anritsu 41V-20
STANDARD:              Aeroflex PN9000
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Source:
#        SERIES MG369XB SYNTHESIZED SIGNAL GENERATORS
#        MAINTENANCE MANUAL
#        P/N: 10370-10367
#        REVISION: prelimB
#        PRINTED: MAY 2007
#
#        Spurious Signal Testing for MG3690B
#        Jim McAvoy, 9/12/08, Rev. 2
#
#        Updated FM procedure based on FM Droop
#        Jim McAvoy, 9/15/08
#
#  Compatibility:
#        MET/CAL 7.20E or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Specify power sensors to be used with ML2430A Series Power Meter.
  1.001  CALL         Sub MG369XB Init Specified Power Sensor

# MG369XB SWR for ML2430A measurement accuracy calculation.
  1.002  MATH         @MG369XB_SWR = 2.0

# Set the default number of significant digits to print when the Power Level
# Test /2437 prints the frequency in the results.
  1.003  MATH         @DefaultRsltFreqNSD = 3
  1.004  MATH         @RsltFreqNSD = @DefaultRsltFreqNSD

# Dummy statements to force the main procedure header to list all options
# required by subprocedures.  The ML2437 statements also force the power
# sensors to be included when the traceability check is performed.
  1.005  IF           0
  1.006  ML2437       Zero; PowerSensor = MA2474
  1.007  ML2437       Zero; PowerSensor = MA2475
  1.008  ML2437       Zero; PowerSensor = SC7400
  1.009  ML2437       Zero; PowerSensor = SC7430
  1.010  ML2530       Reset
  1.011  8560         *                                                 S
  1.012  8901         *                                                 S
  1.013  ENDIF

#  Digital Multimeter Flexible Driver:
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Measure /DMM
#        Sub Send Command /DMM
  1.014  IF           0
  1.015  IEEE         [@DMM]
  1.016  ENDIF

#  Function Generator Flexible Driver:
#        Sub Initialize /FGEN
#        Sub Reset /FGEN
#        Sub Apply /FGEN
#        Sub Output Off /FGEN
#        Sub Send Command /FGEN
#        Sub Get Frequency Accuracy /FGEN
  1.017  IF           0
  1.018  IEEE         [@FGEN]
  1.019  ENDIF

#  Local Oscillator Flexible Driver:
#        Sub Initialize /LO (Rev. 1.4 or later)
#        Sub Reset /LO
#        Sub Output Off /LO
#        Sub Apply /LO
#        Sub Send Command /LO (Rev. 1.2 or later)
  1.020  IF           0
  1.021  IEEE         [@LO]
  1.022  ENDIF

#  Microwave Counter Flexible Driver:
#        Sub Initialize /uWCTR
#        Sub Reset /uWCTR
#        Sub Measure /uWCTR
#        Sub Send Command /uWCTR
  1.023  IF           0
  1.024  IEEE         [@uWCTR]
  1.025  ENDIF

#  HP 86100A User-configured Instrument Driver:
#        Sub Check Chassis Id & Options /86100
#        Sub Check Plug-in Id /86100
#        Sub Initialize /86100
#        Sub Init Global Variables /86100
#        Sub Reset /86100
#        Sub Cal Vertical /86100
#        Sub Clear Display /86100
#        Sub Stop /86100
#        Sub Run Until /86100
#        Sub Setup /86100
#        Sub Query Measurement /86100
#        Sub Acquire Command /86100
#        Sub Channel Command /86100
#        Sub Function Command /86100
#        Sub Timebase Command /86100
#        Sub Trigger Command /86100
#        Sub Measure Query /86100
  1.026  IF           0
  1.027  IEEE         [@86100]
  1.028  ENDIF

# Manual Standards
  1.029  IF           0
  1.030  STD          Agilent 83484A
  1.031  STD          Anritsu 41KC-3
  1.032  STD          Anritsu 41KC-6
  1.033  STD          Anritsu 41KC-10
  1.034  STD          Anritsu 41KC-20
  1.035  STD          Anritsu 41V-3
  1.036  STD          Anritsu 41V-6
  1.037  STD          Anritsu 41V-10
  1.038  STD          Anritsu 41V-20
  1.039  STD          Aeroflex PN9000
  1.040  ENDIF

  1.041  ASK-   R   Q N              P J             C            F        V
  1.042  ASK+           K

# Verify MET/CAL version compatibility.
  1.043  MATH         @ReqMetCalVersion = "7.20E"
  1.044  CALL         Sub MET/CAL Version Check

  1.045  IF           NOT(@MetCalVersionOK)
  1.046  DISP         This procedure requires MET/CAL 7.20E or later.
  1.047  END
  1.048  ENDIF

  1.049  CALL         Sub Display Copyright

  1.050  RSLT         =
  1.051  HEAD         {IDENTIFICATION}
  1.052  IEEE         *IDN?[I$]
  1.053  CALL         Sub IEEE-488.2 Identification Query Parse Response

  1.054  MATH         L[1] = ZCMPI(@Manufacturer, "ANRITSU")
  1.055  MATH         L[2] = ZCMPI(@ModelNum, "MG3691B")

  1.056  IF           NOT(L[1]) || NOT(L[2])
  1.057  DISP         UUT is an [V @Manufacturer] [V @ModelNum],
  1.057  DISP         not an ANRITSU MG3691B!
  1.058  END
  1.059  ENDIF

  1.060  MATH         Uut = UUT()

  1.061  IF           NOT(EMPTY(Uut))
  1.062  MATH         L[1] = EMPTY(@SerialNum)
  1.063  MATH         L[2] = ZCMPI(@SerialNum, "Not Available")

  1.064  IF           L[1] || L[2]
  1.065  OPBR         -z Is asset [V Uut] connected to the
  1.065  OPBR         system as the Unit Under Test?
  1.066  ELSE
  1.067  MATH         UutSerialNo = SN(Uut)
  1.068  MATH         MEM1 = ZCMP(UutSerialNo, @SerialNum)
  1.069  ENDIF

  1.070  IF           NOT(MEM1)
  1.071  DISP         The serial number of the UUT does not
  1.071  DISP         match the serial number of asset [V Uut]!
  1.072  END
  1.073  ENDIF

  1.074  ENDIF        ; NOT(EMPTY(Uut))

  1.075  CALL         Sub MG369XB Set Model Flags
  1.076  CALL         Sub MG369XB Set RF Output Connector Type

  1.077  CALL         Sub Select Failed Test Mode
  1.078  CALL         Sub MG369XB Additional Equipment Required
  1.079  OPBR         -z Do you wish to view the connection precautions?

  1.080  IF           MEM1
  1.081  CALL         Sub Connector Precautions (Type N)
  1.082  CALL         Sub Connector Precautions (2.9 mm)

  1.083  IF           ZCMP(@MG369XB_Con, "V")
  1.084  CALL         Sub Connector Precautions (2.4 mm)
  1.085  ENDIF

  1.086  ENDIF

  1.087  HEAD         INITIAL INFORMATION
  1.088  CALL         Sub MG369XB Get Options
  1.089  CALL         Sub MG369XB Set Min/Max Freq
  1.090  CALL         Sub MG369XB Set Rated Power
  1.091  CALL         Sub MG369XB Set Lowest Max Power

# Typical Conversion Loss for Anritsu Mixer P/N 60-114.
# This global variable is used in the following subprocedure to determine
# if the calculated offset is reasonable:
#   Sub MG369XB (2 yr) Pwr Level Tests < -60 dBm /ML2530,LO"
  1.092  MATH         @MixerConvLossTypicaldB = 10

  1.093  RESET        RF0
  1.094  VSET         NMEAS = 1

  1.095  CALL         Sub Initialize /LO

  1.096  IF           @Opt_12 || @Opt_14 || @Opt_23 || @Opt_13 || @Opt_24
  1.097  CALL         Sub Initialize /FGEN
  1.098  ENDIF

  1.099  IF           @Opt_12 || @Opt_14 || @Opt_23
  1.100  CALL         Sub Initialize /DMM
  1.101  ENDIF

  1.102  IF           @Opt_12 || @Opt_23
  1.103  CALL         Sub Initialize /uWCTR
  1.104  ENDIF

  1.105  IF           @Opt_13 || @Opt_24
  1.106  CALL         Sub Initialize /86100
  1.107  ENDIF

  1.108  MATH         @MG369XB_RsltPulseMod = 0
  1.109  CALL         Sub MG369XB Init Connection Flags

  1.110  CALL         Sub HP 856x (Sys) Id, Options, & Frequency Range IEEE

  1.111  CALL         Sub MG369XB (2 yr) Spurious Signals /8560

# Now perform pulse modulation test, which also uses 8565E.
  1.112  JMPL         PULSE_MOD_ON_OFF_RATIO

  1.113  LABEL        PHASE_NOISE

  1.114  CALL         Sub MG369XB (2 yr) Phase Noise /PN9000,LO

  1.115  IF           @Opt_2
  1.116  CALL         Sub MG369XB (2 yr) Power Level & Log /ML2437,ML2530,LO
  1.117  ELSE
  1.118  CALL         Sub MG369XB (2 yr) Power Level & Log /ML2437
  1.119  ENDIF

  1.120  CALL         Sub MG369XB (2 yr) Flatness /ML2437
  1.121  CALL         Sub MG369XB (2 yr) Maximum Leveled Power /ML2437

  1.122  IF           @Opt_12 || @Opt_23
  1.123  CALL         Sub MG369XB (2 yr) Freq Modulation /8560,FGEN
  1.124  ENDIF

  1.125  IF           @Opt_12 || @Opt_23
  1.126  CALL         Sub MG369XB (2 yr) FM Accuracy /uWCTR,FGEN,DMM
  1.127  ENDIF

  1.128  IF           @Opt_14 || @Opt_23
  1.129  RSLT         =
  1.130  RSLT         =AMPLITUDE MODULATION TESTS
# Set L1 to 6 dB below the maximum rated leveled power.
  1.131  MATH         @L1 = @LowestMaxPower - 6

  1.132  IF           @Opt_4 || @Opt_5
  1.133  CALL         Sub MG369XB Connection AM /8901,FGEN,DMM
  1.134  ELSE
  1.135  CALL         Sub MG369XB Connection AM /8901,LO,FGEN,DMM
  1.136  ENDIF

  1.137  CALL         Sub MG369XB Level FGEN Output /DMM
  1.138  CALL         Sub MG369XB (2 yr) External AM Acc /8901,LO,FGEN

  1.139  IF           @Opt_23
  1.140  CALL         Sub MG369XB (2 yr) Internal AM Acc /8901,LO
  1.141  ENDIF

  1.142  CALL         Sub MG369XB (2 yr) AM Roll Off /8901,LO,FGEN
  1.143  CALL         Sub MG369XB (2 yr) AM Flatness /8901,LO,FGEN
  1.144  ENDIF

  1.145  IF           @Opt_13 || @Opt_24
  1.146  CALL         Sub MG369XB (2 yr) Pulse Modulation /86100,83484,FGEN
  1.147  ENDIF

  1.148  JMPL         DONE

  1.149  LABEL        PULSE_MOD_ON_OFF_RATIO

  1.150  IF           @Opt_13 || @Opt_24
  1.151  CALL         Sub MG369XB (2 yr) Pulse On/Off Ratio /8560
  1.152  ENDIF

  1.153  JMPL         PHASE_NOISE

  1.154  LABEL        DONE

  1.155  HEAD
  1.156  CALL         Sub Audible Prompt
  1.157  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.158  END
