﻿© Fluke Calibration. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Anritsu 41KC-S Get Attenuation
INSTRUMENT:            Sub Anritsu 41V-S Get Attenuation
DATE:                  2011-10-20 14:32:42
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       212
=============================================================================
#
#  Procedure Author:
#        DAC, AS
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        41KC-3.txt
#        41KC-6.txt
#        41KC-10.txt
#        41KC-20.txt
#        41V-3.txt
#        41V-6.txt
#        41V-10.txt
#        41V-20.txt
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
#  Usage:
#
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           PSUBI("41KC-S")
  1.002  MATH         MaxFreqGHz = 40

  1.003  IF           ZCMPI(@Anritsu41xAttenuator, "Anritsu 41KC-3")
  1.004  MATH         ModelNumber = "41KC-3";  File = "41KC-3.txt"
  1.005  ELSEIF       ZCMPI(@Anritsu41xAttenuator, "Anritsu 41KC-6")
  1.006  MATH         ModelNumber = "41KC-6";  File = "41KC-6.txt"
  1.007  ELSEIF       ZCMPI(@Anritsu41xAttenuator, "Anritsu 41KC-10")
  1.008  MATH         ModelNumber = "41KC-10"; File = "41KC-10.txt"
  1.009  ELSEIF       ZCMPI(@Anritsu41xAttenuator, "Anritsu 41KC-20")
  1.010  MATH         ModelNumber = "41KC-20"; File = "41KC-20.txt"
  1.011  ENDIF

  1.012  ELSEIF       PSUBI("41V-S")
  1.013  MATH         MaxFreqGHz = 67

  1.014  IF           ZCMPI(@Anritsu41xAttenuator, "Anritsu 41V-3")
  1.015  MATH         ModelNumber = "41V-3";  File = "41V-3.txt"
  1.016  ELSEIF       ZCMPI(@Anritsu41xAttenuator, "Anritsu 41V-6")
  1.017  MATH         ModelNumber = "41V-6";  File = "41V-6.txt"
  1.018  ELSEIF       ZCMPI(@Anritsu41xAttenuator, "Anritsu 41V-10")
  1.019  MATH         ModelNumber = "41V-10"; File = "41V-10.txt"
  1.020  ELSEIF       ZCMPI(@Anritsu41xAttenuator, "Anritsu 41V-20")
  1.021  MATH         ModelNumber = "41V-20"; File = "41V-20.txt"
  1.022  ENDIF

  1.023  ELSE
  1.024  DISP         Subprocedure not found!
  1.025  MATH         @Error = 1
  1.026  END
  1.027  ENDIF

  1.028  MATH         UserCWD = INI("Startup", "user_cwd")
  1.029  MATH         Path = UserCWD & "\\" & File

  1.030  MATH         AssetNumber  = ASSET(@Anritsu41xAttenuator)
  1.031  MATH         SerialNumber = SN(AssetNumber)
  1.032  MATH         LastCalDate  = CAL(AssetNumber, -1, 2301)

  1.033  MATH         Line = READ(Path, 4)
  1.034  MATH         X2 = STRIPL(FLD(Line, 1, ","))

  1.035  IF           @FreqGHz < 0.04  && X2 >= 0.5
  1.036  DISP         Attenuation cannot be determine for the following:
  1.036  DISP         [32] File:  [V Path]
  1.036  DISP         [32] Model: [V ModelNumber]
  1.036  DISP         [32] S/N:   [V SerialNumber]
  1.036  DISP         [32] Freq:  [V @FreqGHz] GHz
  1.036  DISP
  1.036  DISP         Attenuation can only be extrapolated down to 40 MHz.
  1.037  MATH         @Error = 1
  1.038  END
  1.039  ENDIF

  1.040  IF           @FreqGHz > MaxFreqGHz
  1.041  DISP         Attenuation cannot be determine for the following:
  1.041  DISP         [32] File:  [V Path]
  1.041  DISP         [32] Model: [V ModelNumber]
  1.041  DISP         [32] S/N:   [V SerialNumber]
  1.041  DISP         [32] Freq:  [V @FreqGHz] GHz
  1.041  DISP
  1.041  DISP         Maximum frequency is [V MaxFreqGHz] GHz.
  1.042  MATH         @Error = 1
  1.043  END
  1.044  ENDIF

  1.045  MATH         LineNum = 1; First = 1; Atten = 0; @Error = 0
  1.046  MATH         Interpolate = 0

# Find attenuator model.
  1.047  DO
  1.048  MATH         Line = READ(Path, LineNum); LineNum = LineNum + 1
  1.049  MATH         L[1] = ZCMPI(FLD(Line, 1, ":"), "ModelNumber")
  1.050  MATH         L[2] = FIND(FLD(Line, 2, ":"), ModelNumber, 1)

  1.051  IF           L[1] && L[2]

# Get serial number.
  1.052  DO
  1.053  MATH         Line = READ(Path, LineNum); LineNum = LineNum + 1
  1.054  MATH         L[1] = ZCMPI(FLD(Line, 1, ":"), "SerialNumber")
  1.055  MATH         L[2] = FIND(FLD(Line, 2, ":"), SerialNumber, 1)

  1.056  IF           L[1] && L[2]

# Get calibration date.
  1.057  DO
  1.058  MATH         Line = READ(Path, LineNum); LineNum = LineNum + 1
  1.059  MATH         L[1] = ZCMPI(FLD(Line, 1, ":"), "CalDate")
  1.060  MATH         L[2] = FIND(FLD(Line, 2, ":"), LastCalDate, 1)

  1.061  IF           L[1] && NOT(L[2])
  1.062  DISP         CalDate in file:
  1.062  DISP         [32] [V Path]
  1.062  DISP         is not the same as the last cal date for asset:
  1.062  DISP         [32] [V AssetNumber]
  1.062  DISP         Make sure the data in the file is up to date,
  1.062  DISP         and update CalDate line appropriately.
  1.063  MATH         @Error = 1
  1.064  END
  1.065  ENDIF

# Determine attenuation value.
  1.066  DO
  1.067  MATH         Line = READ(Path, LineNum); LineNum = LineNum + 1
  1.068  MATH         X2 = STRIPL(FLD(Line, 1, ","))
  1.069  MATH         Y2 = STRIPL(FLD(Line, 2, ","))

  1.070  IF           NOT(IS_NUM_LEAD(X2))
  1.071  DISP         Attenuation cannot be determine for the following:
  1.071  DISP         [32] File:  [V Path]
  1.071  DISP         [32] Model: [V ModelNumber]
  1.071  DISP         [32] S/N:   [V SerialNumber]
  1.071  DISP         [32] Freq:  [V @FreqGHz] GHz
  1.072  MATH         @Error = 1
  1.073  END
  1.074  ENDIF

# 1. If read frequency is desired frequency, get attenuation and exit.
#
# 2. Otherwise if interpolate flag is true, interpolate to determine
#    attenuation exit.
#
# 3. Set first ordered pair to read values.
#    Set first flag to false.
#
#    3a. If this is not the first ordered pair, and read frequency is
#        greater than the desired frequency, set the interpolate flag
#        to true.
#
#    3b. Set First flag to false.
#
  1.075  IF           X2 == @FreqGHz
  1.076  MATH         Atten = Y2
  1.077  ELSEIF       NOT(First) && (X2 > @FreqGHz)
  1.078  MATH         Atten = FMT(INTERP(X1, Y1, X2, Y2, @FreqGHz), "%6.3f")
  1.079  ELSE
  1.080  MATH         X1 = X2; Y1 = Y2
  1.081  ENDIF        ; X2 == @FreqGHz

  1.082  MATH         First = 0
  1.083  UNTIL        (Atten != 0) || EOF(Path)

  1.084  UNTIL        (Atten != 0) || EOF(Path)

  1.085  ENDIF

  1.086  UNTIL        (Atten != 0) || EOF(Path)

  1.087  ENDIF

  1.088  UNTIL        (Atten != 0) || EOF(Path)

  1.089  IF           Atten == 0
  1.090  DISP         Attenuation cannot be determine for the following:
  1.090  DISP         [32] File:  [V Path]
  1.090  DISP         [32] Model: [V ModelNumber]
  1.090  DISP         [32] S/N:   [V SerialNumber]
  1.090  DISP         [32] Freq:  [V @FreqGHz] GHz
  1.091  MATH         @Error = 1
  1.092  ENDIF

  1.093  MATH         @AnritsuAttenVal = Atten
  1.094  END
