﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 856x (Sys) Acc Mode Freq Resp
INSTRUMENT:            Sub HP 856x (Sys) Acc Mode Log Scale Fidelity 300
INSTRUMENT:            Sub HP 856x (Sys) Acc Mode Log Scale Fidelity 100
INSTRUMENT:            Sub HP 856x (Sys) Acc Mode Log Scale Fidelity
INSTRUMENT:            Sub HP 856x (Sys) Acc Mode Lin Scale Fidelity
DATE:                  2007-09-19 08:55:33
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       158
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        8560.acc, Revision: 1.13 or later
#
#  Additional Equipment Required:
#        None
#
# This multi-faceted procedure performs several functions pertinent to the
# use of an HP 856x() spectrum analyzer as a reference.
#
# 1. It assigns the correct accuracy file mode string for frequency response
#    specification look up based on model.
# 2. It assigns the correct accuracy file mode string for log scale fidelity
#    (300 Hz resolution bandwidth) specification look up based on model.
# 3. It assigns the correct accuracy file mode string for log scale fidelity
#    (100 Hz resolution bandwidth) specification look up based on model.
# 4. It assigns the correct accuracy file mode string for log scale fidelity
#    specification look up based on model.
# 5. It assigns the correct accuracy file mode string for linear scale
#    fidelity.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         FREQ_RESP_MODE_STRING        PSUBI("Freq Resp")
  1.002  JMPL         LOG_SCALE_FIDELITY_300       PSUBI("Fidelity 300")
  1.003  JMPL         LOG_SCALE_FIDELITY_100       PSUBI("Fidelity 100")
  1.004  JMPL         LOG_SCALE_FIDELITY           PSUBI("Log Scale")
  1.005  JMPL         LIN_SCALE_FIDELITY           PSUBI("Lin Scale")
  1.006  DISP         Called subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# =====  Sub HP 856x Acc Mode Freq Resp  ====================================

  2.001  LABEL        FREQ_RESP_MODE_STRING
# For accuracy file purposes, the following apply:
#   An 8560B is the same as an 8560A.
#   An 8561B is the same as an 8561A.
#   An 8562A and 8563A is the same as an 8560A.
#   An 8565E is the same as an 8564E.

  2.002  IF           ZCMPI(@856x_ModelNum, "8560A")
  2.003  MATH         Suffix = "8560A"
  2.004  ELSEIF       ZCMPI(@856x_ModelNum, "8560B")
  2.005  MATH         Suffix = "8560A"
  2.006  ELSEIF       ZCMPI(@856x_ModelNum, "8560E")
  2.007  MATH         Suffix = "8560E"
  2.008  ELSEIF       ZCMPI(@856x_ModelNum, "8561A")
  2.009  MATH         Suffix = "8561A"
  2.010  ELSEIF       ZCMPI(@856x_ModelNum, "8561B")
  2.011  MATH         Suffix = "8561B"
  2.012  ELSEIF       ZCMPI(@856x_ModelNum, "8561E")
  2.013  MATH         Suffix = "8561E"
  2.014  ELSEIF       ZCMPI(@856x_ModelNum, "8562A")
  2.015  MATH         Suffix = "8560A"
  2.016  ELSEIF       ZCMPI(@856x_ModelNum, "8562B")
  2.017  MATH         Suffix = "8562B"
  2.018  ELSEIF       ZCMPI(@856x_ModelNum, "8562E")
  2.019  MATH         Suffix = "8562E"
  2.020  ELSEIF       ZCMPI(@856x_ModelNum, "8563A")
  2.021  MATH         Suffix = "8560A"
  2.022  ELSEIF       ZCMPI(@856x_ModelNum, "8563E")
  2.023  MATH         Suffix = "8563E"
  2.024  ELSEIF       ZCMPI(@856x_ModelNum, "8564E")
  2.025  MATH         Suffix = "8564E"
  2.026  ELSEIF       ZCMPI(@856x_ModelNum, "8565E")
  2.027  MATH         Suffix = "8564E"
  2.028  ENDIF

  2.029  MATH         @856x_AccMode = "FREQ RESP dB " & Suffix
  2.030  END

  2.031  EVAL   Increment step number

# =====  Sub HP 856x Acc Mode Log Scale Fidelity 300  =======================

  3.001  LABEL        LOG_SCALE_FIDELITY_300

  3.002  IF           FIND(@856x_ModelNum, "E", 1)
  3.003  MATH         @856x_AccMode = "Scale FI LOG 300 E"
  3.004  ELSE
  3.005  DISP         8560 accuracy file does not support
  3.005  DISP         "Log Scale Fidelity 300" for [V @856x_ModelNum].
  3.005  DISP
  3.006  DISP         Select "Terminate" to abort the procedure.
  3.007  ENDIF

  3.008  END

  3.009  EVAL   Increment step number

# =====  Sub HP 856x Acc Mode Log Scale Fidelity 100  =======================

  4.001  LABEL        LOG_SCALE_FIDELITY_100

  4.002  IF           FIND(@856x_ModelNum, "E", 1)
  4.003  MATH         @856x_AccMode = "Scale FI LOG 100 E"
  4.004  ELSE
  4.005  DISP         8560 accuracy file does not support
  4.005  DISP         "Log Scale Fidelity 100" for [V @856x_ModelNum].
  4.005  DISP
  4.006  DISP         Select "Terminate" to abort the procedure.
  4.007  ENDIF

  4.008  END

  4.009  EVAL   Increment step number

# =====  Sub HP 856x Acc Mode Log Scale Fidelity  ===========================

  5.001  LABEL        LOG_SCALE_FIDELITY

  5.002  IF           FIND(@856x_ModelNum, "E", 1)
  5.003  MATH         Suffix = "E"
  5.004  ELSE
  5.005  MATH         Suffix = "A"
  5.006  ENDIF

  5.007  MATH         @856x_AccMode = "Scale FI LOG " & Suffix
  5.008  END

  5.009  EVAL   Increment step number

# =====  Sub HP 856x Acc Mode Lin Scale Fidelity  ===========================

  6.001  LABEL        LIN_SCALE_FIDELITY
  6.002  MATH         @856x_AccMode = "Scale FI LIN"
  6.003  END
