﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) FM Flatness /8560,FGEN
INSTRUMENT:            Sub MG369XB (2 yr) PM Flatness /8560,FGEN
DATE:                  2010-02-10 07:25:29
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       261
CONFIGURATION:         HP 8560
CONFIGURATION:         Function Generator
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB Mod Index /8560
#        Sub MG369XB Reset & SRQ Masks
#        Sub Reset /FGEN
#        Sub Apply /FGEN
#
#  Required Files:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  8560         *                                                 S
  1.003  IEEE         [@FGEN]
  1.004  ENDIF

  1.005  JMPL         FM_FLATNESS                  PSUBI("FM Flatness")
  1.006  JMPL         PM_FLATNESS                  PSUBI("PM Flatness")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub MG369XB FM Flatness /8560,FGEN  ================================

  2.001  LABEL        FM_FLATNESS
  2.002  M8560  RESBW 3kH
  2.003  M8560  VIDBW 100H
  2.004  M8560  SPAN  10kH
  2.005  M8560  SCALE 2dB
  2.006  M8560  ATTEN 10dB                                              X

  2.007  MATH         @ConstantA = 1
  2.008  TARGET       -p
  2.009  CALL         Sub MG369XB Reset & SRQ Masks
  2.010  CALL         Sub Reset /FGEN

# 100 kHz Reference
  2.011  MATH         @FGEN_Freq = "99.8kHz"
  2.012  TSET         TDESC = 10 kHz
  2.013  CALL         Sub Apply /FGEN
# CF15GH (5 GHz)
# FMS99.8KV (FM Sensitivity 99.8 kHz/V)
# RF1 (Output On)
  2.014  IEEE         CF15GHFMS99.8KVRF1
  2.015  CALL         Sub MG369XB Mod Index /8560
  2.016  MATH         ModIndex100kHz = @ModIndex

  2.017  MATH         @FGEN_Freq = "10kHz"
  2.018  CALL         Sub Apply /FGEN
  2.019  IEEE         CF15GHFMS10KVRF1
  2.020  TARGET       -m
  2.021  CALL         Sub MG369XB Mod Index /8560
  2.022  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
  2.023  ACC    0.0   dB             0.07U                                 +DW
  2.024  MEMC         0.0dB          1.0U          10kHz

  3.001  MATH         @FGEN_Freq = "20kHz"
  3.002  TARGET       -p
  3.003  TSET         TDESC = 20 kHz
  3.004  CALL         Sub Apply /FGEN
  3.005  IEEE         CF15GHFMS20KVRF1
  3.006  TARGET       -m
  3.007  CALL         Sub MG369XB Mod Index /8560
  3.008  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
  3.009  ACC    0.0   dB             0.07U                                 +DW
  3.010  MEMC         0.0dB          1.0U          20kHz

  4.001  MATH         @FGEN_Freq = "50kHz"
  4.002  TARGET       -p
  4.003  TSET         TDESC = 50 kHz
  4.004  CALL         Sub Apply /FGEN
  4.005  IEEE         CF15GHFMS50KVRF1
  4.006  TARGET       -m
  4.007  CALL         Sub MG369XB Mod Index /8560
  4.008  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
  4.009  ACC    0.0   dB             0.07U                                 +DW
  4.010  MEMC         0.0dB          1.0U          50kHz

  5.001  MATH         @FGEN_Freq = "200kHz"
  5.002  TARGET       -p
  5.003  TSET         TDESC = 200 kHz
  5.004  CALL         Sub Apply /FGEN
  5.005  IEEE         CF15GHFMS200KVRF1
  5.006  TARGET       -m
  5.007  CALL         Sub MG369XB Mod Index /8560
  5.008  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
  5.009  ACC    0.0   dB             0.07U                                 +DW
  5.010  MEMC         0.0dB          1.0U          200kHz

  6.001  MATH         @FGEN_Freq = "500kHz"
  6.002  TARGET       -p
  6.003  TSET         TDESC = 500 kHz
  6.004  CALL         Sub Apply /FGEN
  6.005  IEEE         CF15GHFMS500KVRF1
  6.006  TARGET       -m
  6.007  CALL         Sub MG369XB Mod Index /8560
  6.008  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
  6.009  ACC    0.0   dB             0.07U                                 +DW
  6.010  MEMC         0.0dB          1.0U          500kHz

  7.001  MATH         @FGEN_Freq = "1MHz"
  7.002  TARGET       -p
  7.003  TSET         TDESC = 1 MHz
  7.004  CALL         Sub Apply /FGEN
  7.005  IEEE         CF15GHFMS1MVRF1
  7.006  TARGET       -m
  7.007  CALL         Sub MG369XB Mod Index /8560
  7.008  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
  7.009  ACC    0.0   dB             0.07U                                 +DW
  7.010  MEMC         0.0dB          1.0U          1MHz

  8.001  MATH         @FGEN_Freq = "9.98MHz"
  8.002  M8560  VIDBW 30H
  8.003  TARGET       -p
  8.004  TSET         TDESC = 9.98 MHz
  8.005  CALL         Sub Apply /FGEN
  8.006  IEEE         CF15GHFMS9.98MVRF1
  8.007  TARGET       -m
  8.008  CALL         Sub MG369XB Mod Index /8560
  8.009  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
  8.010  ACC    0.0   dB             0.07U                                 +DW
  8.011  MEMC         0.0dB          3.0U          9.98MHz

  9.001  END

  9.002  EVAL   Increment step number

# =====  Sub MG369XB PM Flatness /8560,FGEN  ================================

 10.001  LABEL        PM_FLATNESS
 10.002  M8560  RESBW 3kH
 10.003  M8560  VIDBW 100H
 10.004  M8560  SPAN  10kH
 10.005  M8560  SCALE 2dB
 10.006  M8560  ATTEN 10dB                                              X

 10.007  MATH         @ConstantA = 1
 10.008  TARGET       -p
 10.009  CALL         Sub MG369XB Reset & SRQ Masks
 10.010  CALL         Sub Reset /FGEN

# 100 kHz Reference
 10.011  MATH         @FGEN_Freq = "99.8kHz"
 10.012  TSET         TDESC = 10 kHz
 10.013  CALL         Sub Apply /FGEN
# CF15GH (5 GHz)
# PMS1RV (PM Sensitivity 1 rad/V)
# RF1 (Output On)
 10.014  IEEE         CF15GHPHS1RVRF1
 10.015  CALL         Sub MG369XB Mod Index /8560
 10.016  MATH         ModIndex100kHz = @ModIndex

 10.017  MATH         @FGEN_Freq = "10kHz"
 10.018  CALL         Sub Apply /FGEN
 10.019  IEEE         CF15GHPHS1RVRF1
 10.020  TARGET       -m
 10.021  CALL         Sub MG369XB Mod Index /8560
 10.022  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
 10.023  ACC    0.0   dB             0.07U                                 +DW
 10.024  MEMC         0.0dB          1.0U          10kHz

 11.001  MATH         @FGEN_Freq = "20kHz"
 11.002  TARGET       -p
 11.003  TSET         TDESC = 20 kHz
 11.004  CALL         Sub Apply /FGEN
 11.005  IEEE         CF15GHPHS1RVRF1
 11.006  TARGET       -m
 11.007  CALL         Sub MG369XB Mod Index /8560
 11.008  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
 11.009  ACC    0.0   dB             0.07U                                 +DW
 11.010  MEMC         0.0dB          1.0U          20kHz

 12.001  MATH         @FGEN_Freq = "50kHz"
 12.002  TARGET       -p
 12.003  TSET         TDESC = 50 kHz
 12.004  CALL         Sub Apply /FGEN
 12.005  IEEE         CF15GHPHS1RVRF1
 12.006  TARGET       -m
 12.007  CALL         Sub MG369XB Mod Index /8560
 12.008  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
 12.009  ACC    0.0   dB             0.07U                                 +DW
 12.010  MEMC         0.0dB          1.0U          50kHz

 13.001  MATH         @FGEN_Freq = "200kHz"
 13.002  TARGET       -p
 13.003  TSET         TDESC = 200 kHz
 13.004  CALL         Sub Apply /FGEN
 13.005  IEEE         CF15GHPHS1RVRF1
 13.006  TARGET       -m
 13.007  CALL         Sub MG369XB Mod Index /8560
 13.008  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
 13.009  ACC    0.0   dB             0.07U                                 +DW
 13.010  MEMC         0.0dB          1.0U          200kHz

 14.001  MATH         @FGEN_Freq = "500kHz"
 14.002  TARGET       -p
 14.003  TSET         TDESC = 500 kHz
 14.004  CALL         Sub Apply /FGEN
 14.005  IEEE         CF15GHPHS1RVRF1
 14.006  TARGET       -m
 14.007  CALL         Sub MG369XB Mod Index /8560
 14.008  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
 14.009  ACC    0.0   dB             0.07U                                 +DW
 14.010  MEMC         0.0dB          1.0U          500kHz

 15.001  IF           ZCMP(@CmdModOn, "PHN")
 15.002  MATH         @FGEN_Freq = "1MHz"
 15.003  TARGET       -p
 15.004  TSET         TDESC = 1 MHz
 15.005  CALL         Sub Apply /FGEN
 15.006  IEEE         CF15GHPHS1RVRF1
 15.007  TARGET       -m
 15.008  CALL         Sub MG369XB Mod Index /8560
 15.009  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
 15.010  ACC    0.0   dB             0.07U                                 +DW
 15.011  MEMC         0.0dB          1.0U          1MHz

 16.001  MATH         @ConstantA = 2
 16.002  MATH         @FGEN_Freq = "10MHz"
 16.003  TARGET       -p
 16.004  TSET         TDESC = 10 MHz
 16.005  CALL         Sub Apply /FGEN
 16.006  IEEE         CF15GHPHS1RVRF1
 16.007  TARGET       -m
 16.008  CALL         Sub MG369XB Mod Index /8560
 16.009  MATH         MEM = 20 * LOG(ModIndex100kHz / @ModIndex)
 16.010  ACC    0.0   dB             0.07U                                 +DW
 16.011  MEMC         0.0dB          3.0U          10MHz
 17.001  ENDIF

 17.002  END
