﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Pwr Lvl Log Tests >19 dBm /ML2437
INSTRUMENT:            Sub MG369XB (2 yr) Pwr Lvl Log Tests <=19 dBm /ML2437
DATE:                  2008-10-21 12:29:05
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       246
CONFIGURATION:         Anritsu ML2437A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20E or later
#
#  Subprocedures:
#        Sub MG369XB (2 yr) Power Level Test /ML2437
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Dummy statements to force procedure header to include reference used
# in called subprocedures.
  1.001  IF           0
  1.002  ML2437       Reset
  1.003  ENDIF

  1.004  MATH         Freq = ENGR_NSD(@FreqGHz, "GHz", 3)

  1.005  JMPL         LOG_TESTS_GT_19dBm           PSUB(">19")
  1.006  JMPL         LOG_TESTS_LE_19dBm           PSUB("<=19")
  1.007  DISP         Called subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Pwr Lvl Log Tests > +19 dBm /ML24377  ===========

  2.001  LABEL        LOG_TESTS_GT_19dBm

  2.002  IF           @MaxPower >= +25
  2.003  MATH         @LvldBm = 25
  2.004  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  2.005  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  2.006  ENDIF

  2.007  IF           @MaxPower >= +24
  2.008  MATH         @LvldBm = 24
  2.009  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  2.010  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  2.011  ENDIF

  2.012  IF           @MaxPower >= +23
  2.013  MATH         @LvldBm = 23
  2.014  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  2.015  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  2.016  ENDIF

  2.017  IF           @MaxPower >= +22
  2.018  MATH         @LvldBm = 22
  2.019  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  2.020  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  2.021  ENDIF

  2.022  IF           @MaxPower >= +21
  2.023  MATH         @LvldBm = 21
  2.024  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  2.025  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  2.026  ENDIF

  2.027  IF           @MaxPower >= +20
  2.028  MATH         @LvldBm = 20
  2.029  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  2.030  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  2.031  ENDIF

  2.032  HEAD
  2.033  END

  2.034  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Pwr Lvl Log Tests <= +19 dBm /ML2437  ===========

  3.001  LABEL        LOG_TESTS_LE_19dBm
  3.002  TARGET       -p

  3.003  IF           @MaxPower >= +19
  3.004  MATH         @LvldBm = 19
  3.005  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.006  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.007  ENDIF

  3.008  IF           @MaxPower >= +18
  3.009  MATH         @LvldBm = 18
  3.010  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.011  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.012  ENDIF

  3.013  IF           @MaxPower >= +17
  3.014  MATH         @LvldBm = 17
  3.015  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.016  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.017  ENDIF

  3.018  IF           @MaxPower >= +16
  3.019  MATH         @LvldBm = 16
  3.020  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.021  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.022  ENDIF

  3.023  IF           @MaxPower >= +15
  3.024  MATH         @LvldBm = 15
  3.025  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.026  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.027  ENDIF

  3.028  IF           @MaxPower >= +14
  3.029  MATH         @LvldBm = 14
  3.030  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.031  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.032  ENDIF

  3.033  IF           @MaxPower >= +13
  3.034  MATH         @LvldBm = 13
  3.035  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.036  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.037  ENDIF

  3.038  IF           @MaxPower >= +12
  3.039  MATH         @LvldBm = 12
  3.040  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.041  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.042  ENDIF

  3.043  IF           @MaxPower >= +11
  3.044  MATH         @LvldBm = 11
  3.045  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.046  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.047  ENDIF

  3.048  IF           @MaxPower >= +10
  3.049  MATH         @LvldBm = 10
  3.050  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.051  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.052  ENDIF

  3.053  IF           @MaxPower >= +9
  3.054  MATH         @LvldBm = 9
  3.055  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.056  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.057  ENDIF

  3.058  IF           @MaxPower >= +8
  3.059  MATH         @LvldBm = 8
  3.060  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.061  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.062  ENDIF

  3.063  IF           @MaxPower >= +7
  3.064  MATH         @LvldBm = 7
  3.065  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.066  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.067  ENDIF

  3.068  IF           @MaxPower >= +6
  3.069  MATH         @LvldBm = 6
  3.070  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.071  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.072  ENDIF

  3.073  IF           @MaxPower >= +5
  3.074  MATH         @LvldBm = 5
  3.075  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.076  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.077  ENDIF

  3.078  IF           @MaxPower >= +4
  3.079  MATH         @LvldBm = 4
  3.080  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.081  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.082  ENDIF

  3.083  IF           @MaxPower >= +3
  3.084  MATH         @LvldBm = 3
  3.085  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.086  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.087  ENDIF

  3.088  IF           @MaxPower >= +2
  3.089  MATH         @LvldBm = 2
  3.090  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.091  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.092  ENDIF

  3.093  IF           @MaxPower >= +1
  3.094  MATH         @LvldBm = 1
  3.095  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.096  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.097  ENDIF

  3.098  IF           @MaxPower >= +0
  3.099  MATH         @LvldBm = 0
  3.100  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.101  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.102  ENDIF

  3.103  IF           @MaxPower >= -1
  3.104  MATH         @LvldBm = -1
  3.105  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.106  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.107  ENDIF

# Maximum power is never less than -2 dBm for all models and options.
  3.108  MATH         @LvldBm = -2
  3.109  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.110  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.111  MATH         @LvldBm = -3
  3.112  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.113  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.114  MATH         @LvldBm = -4
  3.115  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.116  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  3.117  MATH         @LvldBm = -5
  3.118  HEAD         POWER LEVEL LOG: [V @LvldBm] dBm @ [V Freq]
  3.119  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437

  3.120  HEAD
  3.121  END
