﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Connection AM /8901,LO,FGEN,DMM
INSTRUMENT:            Sub MG369XB Connection AM /8901,FGEN,DMM
DATE:                  2010-02-10 07:18:42
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       205
CONFIGURATION:         Local Oscillator
CONFIGURATION:         Function Generator
CONFIGURATION:         Digital Multimeter
STANDARD:              Anritsu 41KC-20
STANDARD:              Anritsu 41KC-6
STANDARD:              Anritsu 41KC-10
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Audible Prompt
#        Sub MG369XB Init Connection Flags
#
#  Required Files:
#        MG369xB_8901_lo_fgen_dmm_K_26dB
#        MG369xB_8901_lo_fgen_dmm_K_20dB
#        MG369xB_8901_lo_fgen_dmm_K_10dB
#        MG369xB_8901_lo_fgen_dmm_K_6dB
#        MG369xB_8901_lo_fgen_dmm_V_26dB
#        MG369xB_8901_lo_fgen_dmm_V_20dB
#        MG369xB_8901_lo_fgen_dmm_V_10dB
#        MG369xB_8901_lo_fgen_dmm_V_6dB
#
#        MG369xB_8901_fgen_dmm_K_26dB
#        MG369xB_8901_fgen_dmm_K_20dB
#        MG369xB_8901_fgen_dmm_K_10dB
#        MG369xB_8901_fgen_dmm_K_6dB
#        MG369xB_8901_fgen_dmm_V_26dB
#        MG369xB_8901_fgen_dmm_V_20dB
#        MG369xB_8901_fgen_dmm_V_10dB
#        MG369xB_8901_fgen_dmm_V_6dB
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LO]
  1.003  IEEE         [@FGEN]
  1.004  IEEE         [@DMM]
  1.005  ENDIF

  1.006  JMPL         8901_LO_FGEN_DMM_CON   PSUB("8901,LO,FGEN,")
  1.007  JMPL         8901_FGEN_DMM_CON   PSUB("8901,FGEN,")
  1.008  DISP         Called subprocedure not found!
  1.009  END

  1.010  EVAL   Increment step number

# =====  Sub MG369XB Connection AM /8901,LO,FGEN,DMM  =======================

  2.001  LABEL        8901_LO_FGEN_DMM_CON

  2.002  IF           NOT(EMPTY(@MG369XB_8901_Con_AM))

  2.003  IF           FIND(@MG369XB_8901_Con_AM, "_lo_", 0) == 0
  2.004  MATH         @MG369XB_8901_Con_AM = ""
  2.005  ENDIF

  2.006  ENDIF

  2.007  IF           EMPTY(@MG369XB_8901_Con_AM)
  2.008  IEEE         RF0
  2.009  CALL         Sub Audible Prompt
  2.010  CALL         Sub MG369XB Init Connection Flags

  2.011  IF           ZCMP(@MG369XB_Con, "K")

  2.012  IF           @L1 > 13
  2.013  STD          Anritsu 41KC-20
  2.014  STD          Anritsu 41KC-6
  2.015  PIC          MG369xB_8901_lo_fgen_dmm_K_26dB
  2.016  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_lo_fgen_dmm_K_26dB"
  2.017  ELSEIF       @L1 > 3
  2.018  STD          Anritsu 41KC-20
  2.019  PIC          MG369xB_8901_lo_fgen_dmm_K_20dB
  2.020  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_lo_fgen_dmm_K_20dB"
  2.021  ELSEIF       @L1 >= 0
  2.022  STD          Anritsu 41KC-10
  2.023  PIC          MG369xB_8901_lo_fgen_dmm_K_10dB
  2.024  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_lo_fgen_dmm_K_10dB"
  2.025  ELSE
  2.026  STD          Anritsu 41KC-6
  2.027  PIC          MG369xB_8901_lo_fgen_dmm_K_6dB
  2.028  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_lo_fgen_dmm_K_6dB"
  2.029  ENDIF

  2.030  ELSE

  2.031  IF           @L1 > 13
  2.032  STD          Anritsu 41KC-20
  2.033  STD          Anritsu 41KC-6
  2.034  PIC          MG369xB_8901_lo_fgen_dmm_V_26dB
  2.035  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_lo_fgen_dmm_V_26dB"
  2.036  ELSEIF       @L1 > 3
  2.037  STD          Anritsu 41KC-20
  2.038  PIC          MG369xB_8901_lo_fgen_dmm_V_20dB
  2.039  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_lo_fgen_dmm_V_20dB"
  2.040  ELSEIF       @L1 >= 0
  2.041  STD          Anritsu 41KC-10
  2.042  PIC          MG369xB_8901_lo_fgen_dmm_V_10dB
  2.043  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_lo_fgen_dmm_V_10dB"
  2.044  ELSE
  2.045  STD          Anritsu 41KC-6
  2.046  PIC          MG369xB_8901_lo_fgen_dmm_V_6dB
  2.047  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_lo_fgen_dmm_V_6dB"
  2.048  ENDIF

  2.049  ENDIF

  2.050  ENDIF

  2.051  END

  2.052  EVAL   Increment step number

# =====  Sub MG369XB Connection AM /8901,FGEN,DMM  ==========================

  3.001  LABEL        8901_FGEN_DMM_CON

  3.002  IF           NOT(EMPTY(@MG369XB_8901_Con_AM))

  3.003  IF           FIND(@MG369XB_8901_Con_AM, "_lo_", 0) == 1
  3.004  MATH         @MG369XB_8901_Con_AM = ""
  3.005  ENDIF

  3.006  ENDIF

  3.007  IF           EMPTY(@MG369XB_8901_Con_AM)
  3.008  IEEE         RF0
  3.009  CALL         Sub Audible Prompt
  3.010  CALL         Sub MG369XB Init Connection Flags

  3.011  IF           ZCMP(@MG369XB_Con, "K")

  3.012  IF           @L1 > 13
  3.013  STD          Anritsu 41KC-20
  3.014  STD          Anritsu 41KC-6
  3.015  PIC          MG369xB_8901_fgen_dmm_K_26dB
  3.016  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_fgen_dmm_K_26dB"
  3.017  ELSEIF       @L1 > 3
  3.018  STD          Anritsu 41KC-20
  3.019  PIC          MG369xB_8901_fgen_dmm_K_20dB
  3.020  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_fgen_dmm_K_20dB"
  3.021  ELSEIF       @L1 >= 0
  3.022  STD          Anritsu 41KC-10
  3.023  PIC          MG369xB_8901_fgen_dmm_K_10dB
  3.024  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_fgen_dmm_K_10dB"
  3.025  ELSE
  3.026  STD          Anritsu 41KC-6
  3.027  PIC          MG369xB_8901_fgen_dmm_K_6dB
  3.028  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_fgen_dmm_K_6dB"
  3.029  ENDIF

  3.030  ELSE

  3.031  IF           @L1 > 13
  3.032  STD          Anritsu 41KC-20
  3.033  STD          Anritsu 41KC-6
  3.034  PIC          MG369xB_8901_fgen_dmm_V_26dB
  3.035  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_fgen_dmm_V_26dB"
  3.036  ELSEIF       @L1 > 3
  3.037  STD          Anritsu 41KC-20
  3.038  PIC          MG369xB_8901_fgen_dmm_V_20dB
  3.039  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_fgen_dmm_V_20dB"
  3.040  ELSEIF       @L1 >= 0
  3.041  STD          Anritsu 41KC-10
  3.042  PIC          MG369xB_8901_fgen_dmm_V_10dB
  3.043  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_fgen_dmm_V_10dB"
  3.044  ELSE
  3.045  STD          Anritsu 41KC-6
  3.046  PIC          MG369xB_8901_fgen_dmm_V_6dB
  3.047  MATH         @MG369XB_8901_Con_AM = "MG369xB_8901_fgen_dmm_V_6dB"
  3.048  ENDIF

  3.049  ENDIF

  3.050  ENDIF

  3.051  END
