﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
INSTRUMENT:            Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
INSTRUMENT:            Sub MG369XB Pulse Mod Measurement /86100,83484
DATE:                  2010-02-10 07:21:38
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       461
CONFIGURATION:         Function Generator
CONFIGURATION:         Agilent 86100A
STANDARD:              Agilent 83484A
=============================================================================
#
#  Procedure Author:
#        DAC                                        o
#
#  Model(s) Covered:
#        MG369XB with Option 13, 24, 26X, or 27
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB Init Connection Flags
#        Sub MG369XB Reset & SRQ Masks
#        Sub MG369XB Set Max Power
#        Sub Audible Prompt
#
#  Flexible Driver subprocedures:
#        Sub Apply /FGEN
#
#  User-configured Instrument Drivers
#        Sub Setup /86100
#        Sub Stop /86100
#        Sub Run Until /86100
#        Sub Query Measurement /86100
#
#  Required Files:
#        MG369xB_86100_K.jpg
#        MG369xB_86100_K_3dB.jpg
#        MG369xB_86100_K_6dB.jpg
#        MG369xB_86100_K_10dB.jpg
#        MG369xB_86100_K_20dB.jpg
#        MG369xB_86100_fgen_K.jpg
#        MG369xB_86100_fgen_K_3dB.jpg
#        MG369xB_86100_fgen_K_6dB.jpg
#        MG369xB_86100_fgen_K_10dB.jpg
#        MG369xB_86100_fgen_K_20dB.jpg
#        MG369xB_86100_V.jpg
#        MG369xB_86100_V_3dB.jpg
#        MG369xB_86100_V_6dB.jpg
#        MG369xB_86100_V_10dB.jpg
#        MG369xB_86100_V_20dB.jpg
#        MG369xB_86100_fgen_V.jpg
#        MG369xB_86100_fgen_V_3dB.jpg
#        MG369xB_86100_fgen_V_6dB.jpg
#        MG369xB_86100_fgen_V_10dB.jpg
#        MG369xB_86100_fgen_V_20dB.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Dummy statements to force header to contain reference used in subprocedure.
  1.001  IF           0
  1.002  IEEE         [@FGEN]
  1.003  IEEE         [@86100]
  1.004  STD          Agilent 83484A
  1.005  ENDIF

  1.006  JMPL         PULSE_MODULATION_CONNECTIONS PSUBI("Connections")
  1.007  JMPL         PULSE_MODULATION_SETUP       PSUBI("Setup")
  1.008  JMPL         PULSE_MODULATION_MEASUREMENT PSUBI("Measurement")
  1.009  DISP         Subprocedure not found!
  1.010  END

  1.011  EVAL   Increment step number

# =====  Sub MG369XB Pulse Mod Connections /86100,83484,FGEN  ===============

  2.001  LABEL        PULSE_MODULATION_CONNECTIONS

  2.002  IF           EMPTY(@MG369XB_86100_Con)
  2.003  MATH         Current_86100_Con = ""
  2.004  ELSE
  2.005  MATH         Current_86100_Con = @MG369XB_86100_Con
  2.006  ENDIF

  2.007  CALL         Sub MG369XB Init Connection Flags
  2.008  CALL         Sub MG369XB Set Max Power

  2.009  IF           ZCMP(@MG369XB_Con, "K")

  2.010  IF           @Opt_24

  2.011  IF           @MaxPower >= +18
  2.012  MATH         @MG369XB_86100_Con = "MG369xB_86100_K_20dB"
  2.013  ELSEIF       @MaxPower >= +13
  2.014  MATH         @MG369XB_86100_Con = "MG369xB_86100_K_10dB"
  2.015  ELSEIF       @MaxPower >= +10
  2.016  MATH         @MG369XB_86100_Con = "MG369xB_86100_K_6dB"
  2.017  ELSEIF       @MaxPower >= +8
  2.018  MATH         @MG369XB_86100_Con = "MG369xB_86100_K_3dB"
  2.019  ELSE
  2.020  MATH         @MG369XB_86100_Con = "MG369xB_86100_K"
  2.021  ENDIF

  2.022  ELSE         ; without Option 24 (internal pulse generator)

  2.023  IF           @MaxPower >= +18
  2.024  MATH         @MG369XB_86100_Con = "MG369xB_86100_fgen_K_20dB"
  2.025  ELSEIF       @MaxPower >= +13
  2.026  MATH         @MG369XB_86100_Con = "MG369xB_86100_fgen_K_10dB"
  2.027  ELSEIF       @MaxPower >= +10
  2.028  MATH         @MG369XB_86100_Con = "MG369xB_86100_fgen_K_6dB"
  2.029  ELSEIF       @MaxPower >= +8
  2.030  MATH         @MG369XB_86100_Con = "MG369xB_86100_fgen_K_3dB"
  2.031  ELSE
  2.032  MATH         @MG369XB_86100_Con = "MG369xB_86100_fgen_K"
  2.033  ENDIF

  2.034  ENDIF        ; @Opt_24

  2.035  ELSE

  2.036  IF           @Opt_24

  2.037  IF           @MaxPower >= +18
  2.038  MATH         @MG369XB_86100_Con = "MG369xB_86100_V_20dB"
  2.039  ELSEIF       @MaxPower >= +13
  2.040  MATH         @MG369XB_86100_Con = "MG369xB_86100_V_10dB"
  2.041  ELSEIF       @MaxPower >= +10
  2.042  MATH         @MG369XB_86100_Con = "MG369xB_86100_V_6dB"
  2.043  ELSEIF       @MaxPower >= +8
  2.044  MATH         @MG369XB_86100_Con = "MG369xB_86100_V_3dB"
  2.045  ELSE
  2.046  MATH         @MG369XB_86100_Con = "MG369xB_86100_V"
  2.047  ENDIF

  2.048  ELSE         ; without Option 24 (internal pulse generator)

  2.049  IF           @MaxPower >= +18
  2.050  MATH         @MG369XB_86100_Con = "MG369xB_86100_fgen_V_20dB"
  2.051  ELSEIF       @MaxPower >= +13
  2.052  MATH         @MG369XB_86100_Con = "MG369xB_86100_fgen_V_10dB"
  2.053  ELSEIF       @MaxPower >= +10
  2.054  MATH         @MG369XB_86100_Con = "MG369xB_86100_fgen_V_6dB"
  2.055  ELSEIF       @MaxPower >= +8
  2.056  MATH         @MG369XB_86100_Con = "MG369xB_86100_fgen_V_3dB"
  2.057  ELSE
  2.058  MATH         @MG369XB_86100_Con = "MG369xB_86100_fgen_V"
  2.059  ENDIF

  2.060  ENDIF        ; @Opt_24

  2.061  ENDIF

  2.062  IF           NOT(ZCMP(Current_86100_Con, @MG369XB_86100_Con))
  2.063  IEEE         RF0
  2.064  CALL         Sub Audible Prompt
  2.065  PIC          [V @MG369XB_86100_Con]
  2.066  ENDIF

  2.067  END

# The following PIC statements are here to inform Met/Cal that these
# pictures are used by this sub procedure.  They are not executed
  2.068  PIC          MG369xB_86100_K_20dB
  2.069  PIC          MG369xB_86100_K_10dB
  2.070  PIC          MG369xB_86100_K_6dB
  2.071  PIC          MG369xB_86100_K_3dB
  2.072  PIC          MG369xB_86100_K
  2.073  PIC          MG369xB_86100_fgen_K_20dB
  2.074  PIC          MG369xB_86100_fgen_K_10dB
  2.075  PIC          MG369xB_86100_fgen_K_6dB
  2.076  PIC          MG369xB_86100_fgen_K_3dB
  2.077  PIC          MG369xB_86100_fgen_K
  2.078  PIC          MG369xB_86100_V_20dB
  2.079  PIC          MG369xB_86100_V_10dB
  2.080  PIC          MG369xB_86100_V_6dB
  2.081  PIC          MG369xB_86100_V_3dB
  2.082  PIC          MG369xB_86100_V
  2.083  PIC          MG369xB_86100_fgen_V_20dB
  2.084  PIC          MG369xB_86100_fgen_V_10dB
  2.085  PIC          MG369xB_86100_fgen_V_6dB
  2.086  PIC          MG369xB_86100_fgen_V_3dB
  2.087  PIC          MG369xB_86100_fgen_V


  2.088  EVAL   Increment step number

# =====  Sub MG369XB Pulse Mod Setup /86100,83484,FGEN  =====================

  3.001  LABEL        PULSE_MODULATION_SETUP
  3.002  CALL         Sub Stop /86100
  3.003  CALL         Sub MG369XB Reset & SRQ Masks
  3.004  CALL         Sub MG369XB Set Max Power

# Determine vertical scale and offset required.

# 20 dB attenuator (+18 dBm <= @MaxPower < +25 dBm)
  3.005  IF           @MaxPower >= +18

# Determine the necessary vertical attenuation.
  3.006  IF           @MaxPower >= +19
  3.007  MATH         @86100_Ch1_Scale  = "50 mV/div"
  3.008  ELSEIF       @MaxPower >= +13
  3.009  MATH         @86100_Ch1_Scale  = "20 mV/div"
  3.010  ELSEIF       @MaxPower >= +7
  3.011  MATH         @86100_Ch1_Scale  = "10 mV/div"
  3.012  ELSE
  3.013  MATH         @86100_Ch1_Scale  = "5 mV/div"
  3.014  ENDIF

# Determine the necessary vertical offset.
  3.015  IF           @MaxPower >= +25
  3.016  MATH         @86100_Ch1_Offset = "120 mV"
  3.017  ELSEIF       @MaxPower >= +24
  3.018  MATH         @86100_Ch1_Offset = "120 mV"
  3.019  ELSEIF       @MaxPower >= +23
  3.020  MATH         @86100_Ch1_Offset = "120 mV"
  3.021  ELSEIF       @MaxPower >= +22
  3.022  MATH         @86100_Ch1_Offset = "115 mV"
  3.023  ELSEIF       @MaxPower >= +21
  3.024  MATH         @86100_Ch1_Offset = "110 mV"
  3.025  ELSEIF       @MaxPower >= +20
  3.026  MATH         @86100_Ch1_Offset = "80 mV"
  3.027  ELSEIF       @MaxPower >= +19
  3.028  MATH         @86100_Ch1_Offset = "70 mV"
  3.029  ELSEIF       @MaxPower >= +18
  3.030  MATH         @86100_Ch1_Offset = "60 mV"
  3.031  ELSEIF       @MaxPower >= +17
  3.032  MATH         @86100_Ch1_Offset = "55 mV"
  3.033  ELSEIF       @MaxPower >= +16
  3.034  MATH         @86100_Ch1_Offset = "50 mV"
  3.035  ELSEIF       @MaxPower >= +15
  3.036  MATH         @86100_Ch1_Offset = "40 mV"
  3.037  ELSEIF       @MaxPower >= +14
  3.038  MATH         @86100_Ch1_Offset = "36 mV"
  3.039  ELSEIF       @MaxPower >= +13
  3.040  MATH         @86100_Ch1_Offset = "33 mV"
  3.041  ELSEIF       @MaxPower >= +12
  3.042  MATH         @86100_Ch1_Offset = "30 mV"
  3.043  ELSEIF       @MaxPower >= +11
  3.044  MATH         @86100_Ch1_Offset = "27 mV"
  3.045  ELSEIF       @MaxPower >= +10
  3.046  MATH         @86100_Ch1_Offset = "23 mV"
  3.047  ELSEIF       @MaxPower >= +9
  3.048  MATH         @86100_Ch1_Offset = "20 mV"
  3.049  ELSEIF       @MaxPower >= +8
  3.050  MATH         @86100_Ch1_Offset = "18 mV"
  3.051  ELSEIF       @MaxPower >= +7
  3.052  MATH         @86100_Ch1_Offset = "15 mV"
  3.053  ELSEIF       @MaxPower >= +6
  3.054  MATH         @86100_Ch1_Offset = "15 mV"
  3.055  ELSEIF       @MaxPower >= +5
  3.056  MATH         @86100_Ch1_Offset = "13 mV"
  3.057  ELSEIF       @MaxPower >= +4
  3.058  MATH         @86100_Ch1_Offset = "11 mV"
  3.059  ELSEIF       @MaxPower >= +3
  3.060  MATH         @86100_Ch1_Offset = "10 mV"
  3.061  ELSEIF       @MaxPower >= +2
  3.062  MATH         @86100_Ch1_Offset = "9 mV"
  3.063  ELSEIF       @MaxPower >= +1
  3.064  MATH         @86100_Ch1_Offset = "8 mV"
  3.065  ELSE
  3.066  MATH         @86100_Ch1_Offset = "7 mV"
  3.067  ENDIF

# 10 dB attenuator (+13 dBm <= @MaxPower < +18 dBm)
  3.068  ELSEIF       @MaxPower >= +13

# Determine the necessary vertical attenuation.
  3.069  IF           @MaxPower >= +17
  3.070  MATH         @86100_Ch1_Scale  = "100 mV/div"
  3.071  ELSEIF       @MaxPower >= +9
  3.072  MATH         @86100_Ch1_Scale  = "50 mV/div"
  3.073  ELSEIF       @MaxPower >= +3
  3.074  MATH         @86100_Ch1_Scale  = "20 mV/div"
  3.075  ELSE
  3.076  MATH         @86100_Ch1_Scale  = "10 mV/div"
  3.077  ENDIF

# Determine the necessary vertical offset.
  3.078  IF           @MaxPower >= +17
  3.079  MATH         @86100_Ch1_Offset = "170 mV"
  3.080  ELSEIF       @MaxPower >= +16
  3.081  MATH         @86100_Ch1_Offset = "150 mV"
  3.082  ELSEIF       @MaxPower >= +15
  3.083  MATH         @86100_Ch1_Offset = "140 mV"
  3.084  ELSEIF       @MaxPower >= +14
  3.085  MATH         @86100_Ch1_Offset = "115 mV"
  3.086  ELSEIF       @MaxPower >= +13
  3.087  MATH         @86100_Ch1_Offset = "100 mV"
  3.088  ELSEIF       @MaxPower >= +12
  3.089  MATH         @86100_Ch1_Offset = "90 mV"
  3.090  ELSEIF       @MaxPower >= +11
  3.091  MATH         @86100_Ch1_Offset = "80 mV"
  3.092  ELSEIF       @MaxPower >= +10
  3.093  MATH         @86100_Ch1_Offset = "75 mV"
  3.094  ELSEIF       @MaxPower >= +9
  3.095  MATH         @86100_Ch1_Offset = "70 mV"
  3.096  ELSEIF       @MaxPower >= +8
  3.097  MATH         @86100_Ch1_Offset = "60 mV"
  3.098  ELSEIF       @MaxPower >= +7
  3.099  MATH         @86100_Ch1_Offset = "50 mV"
  3.100  ELSEIF       @MaxPower >= +6
  3.101  MATH         @86100_Ch1_Offset = "45 mV"
  3.102  ELSEIF       @MaxPower >= +5
  3.103  MATH         @86100_Ch1_Offset = "50 mV"
  3.104  ELSEIF       @MaxPower >= +4
  3.105  MATH         @86100_Ch1_Offset = "45 mV"
  3.106  ELSEIF       @MaxPower >= +3
  3.107  MATH         @86100_Ch1_Offset = "40 mV"
  3.108  ELSEIF       @MaxPower >= +2
  3.109  MATH         @86100_Ch1_Offset = "30 mV"
  3.110  ELSEIF       @MaxPower >= +1
  3.111  MATH         @86100_Ch1_Offset = "30 mV"
  3.112  ELSE
  3.113  MATH         @86100_Ch1_Offset = "25 mV"
  3.114  ENDIF

# 6 dB attenuator (+10 dBm <= @MaxPower < +13 dBm)
  3.115  ELSEIF       @MaxPower >= +10

# Determine the necessary vertical attenuation.
  3.116  IF           @MaxPower >= +12
  3.117  MATH         @86100_Ch1_Scale  = "100 mV/div"
  3.118  ELSEIF       @MaxPower >= +4
  3.119  MATH         @86100_Ch1_Scale  = "50 mV/div"
  3.120  ELSE
  3.121  MATH         @86100_Ch1_Scale  = "20 mV/div"
  3.122  ENDIF

# Determine the necessary vertical offset.
  3.123  IF           @MaxPower >= +12
  3.124  MATH         @86100_Ch1_Offset = "150 mV"
  3.125  ELSEIF       @MaxPower >= +11
  3.126  MATH         @86100_Ch1_Offset = "130 mV"
  3.127  ELSEIF       @MaxPower >= +10
  3.128  MATH         @86100_Ch1_Offset = "110 mV"
  3.129  ELSEIF       @MaxPower >= +9
  3.130  MATH         @86100_Ch1_Offset = "100 mV"
  3.131  ELSEIF       @MaxPower >= +8
  3.132  MATH         @86100_Ch1_Offset = "90 mV"
  3.133  ELSEIF       @MaxPower >= +7
  3.134  MATH         @86100_Ch1_Offset = "80 mV"
  3.135  ELSEIF       @MaxPower >= +6
  3.136  MATH         @86100_Ch1_Offset = "70 mV"
  3.137  ELSEIF       @MaxPower >= +5
  3.138  MATH         @86100_Ch1_Offset = "60 mV"
  3.139  ELSEIF       @MaxPower >= +4
  3.140  MATH         @86100_Ch1_Offset = "60 mV"
  3.141  ELSEIF       @MaxPower >= +3
  3.142  MATH         @86100_Ch1_Offset = "50 mV"
  3.143  ELSEIF       @MaxPower >= +2
  3.144  MATH         @86100_Ch1_Offset = "45 mV"
  3.145  ELSEIF       @MaxPower >= +1
  3.146  MATH         @86100_Ch1_Offset = "40 mV"
  3.147  ELSE
  3.148  MATH         @86100_Ch1_Offset = "40 mV"
  3.149  ENDIF

# 3 dB attenuator (+8 dBm <= @MaxPower < +10 dBm)
  3.150  ELSEIF       @MaxPower >= +8

# Determine the necessary vertical attenuation.
  3.151  IF           @MaxPower >= 2
  3.152  MATH         @86100_Ch1_Scale  = "50 mV/div"
  3.153  ELSE
  3.154  MATH         @86100_Ch1_Scale  = "20 mV/div"
  3.155  ENDIF

# Determine the necessary vertical offset.
  3.156  IF           @MaxPower >= +9
  3.157  MATH         @86100_Ch1_Offset = "150 mV"
  3.158  ELSEIF       @MaxPower >= +8
  3.159  MATH         @86100_Ch1_Offset = "130 mV"
  3.160  ELSEIF       @MaxPower >= +7
  3.161  MATH         @86100_Ch1_Offset = "110 mV"
  3.162  ELSEIF       @MaxPower >= +6
  3.163  MATH         @86100_Ch1_Offset = "100 mV"
  3.164  ELSEIF       @MaxPower >= +5
  3.165  MATH         @86100_Ch1_Offset = "90 mV"
  3.166  ELSEIF       @MaxPower >= +4
  3.167  MATH         @86100_Ch1_Offset = "80 mV"
  3.168  ELSEIF       @MaxPower >= +3
  3.169  MATH         @86100_Ch1_Offset = "70 mV"
  3.170  ELSEIF       @MaxPower >= +2
  3.171  MATH         @86100_Ch1_Offset = "60 mV"
  3.172  ELSEIF       @MaxPower >= +1
  3.173  MATH         @86100_Ch1_Offset = "60 mV"
  3.174  ELSE
  3.175  MATH         @86100_Ch1_Offset = "55 mV"
  3.176  ENDIF

# No additional attenuation
  3.177  ELSE         ; @MaxPower < +8 dBm

# Determine the necessary vertical attenuation.
  3.178  IF           @MaxPower >= 6
  3.179  MATH         @86100_Ch1_Scale  = "100 mV/div"
  3.180  ELSE
  3.181  MATH         @86100_Ch1_Scale  = "50 mV/div"
  3.182  ENDIF

# Determine the necessary vertical offset.
  3.183  IF           @MaxPower >= +7
  3.184  MATH         @86100_Ch1_Offset = "170 mV"
  3.185  ELSEIF       @MaxPower >= +6
  3.186  MATH         @86100_Ch1_Offset = "150 mV"
  3.187  ELSEIF       @MaxPower >= +5
  3.188  MATH         @86100_Ch1_Offset = "130 mV"
  3.189  ELSEIF       @MaxPower >= +4
  3.190  MATH         @86100_Ch1_Offset = "115 mV"
  3.191  ELSEIF       @MaxPower >= +3
  3.192  MATH         @86100_Ch1_Offset = "130 mV"
  3.193  ELSEIF       @MaxPower >= +2
  3.194  MATH         @86100_Ch1_Offset = "90 mV"
  3.195  ELSEIF       @MaxPower >= +1
  3.196  MATH         @86100_Ch1_Offset = "85 mV"
  3.197  ELSE
  3.198  MATH         @86100_Ch1_Offset = "75 mV"
  3.199  ENDIF

  3.200  ENDIF        ; @MaxPower >= +18

  3.201  CALL         Sub Setup /86100

  3.202  IEEE         CF1[V @FreqGHz]GHL1[V @MaxPower]DM

  3.203  IF           @Opt_24
  3.204  IEEE         IPPER[V @PulsePeriod_us]USPW[V @PulseWidth_us]US
  3.205  ELSE
  3.206  IEEE         XPEP1
  3.207  CALL         Sub Apply /FGEN
  3.208  ENDIF

  3.209  IEEE         [D200]RF1[D200]
  3.210  END

  3.211  EVAL   Increment step number

# =====  Sub MG369XB Pulse Mod Measurement /86100,83484,FGEN  ===============

  4.001  LABEL        PULSE_MODULATION_MEASUREMENT
  4.002  CALL         Sub Stop /86100
  4.003  CALL         Sub Clear Display /86100
  4.004  CALL         Sub Run Until /86100
  4.005  CALL         Sub Query Measurement /86100
  4.006  END
