﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Init Specified Power Sensor
INSTRUMENT:            Sub MG369XB Get Specified Power Sensor
DATE:                  2009-04-08 17:36:04
AUTHOR:                Anritsu
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       71
=============================================================================
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20E or later
#
#  Subprocedures:
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         INIT_POWER_SENSOR            PSUB("Init")
  1.002  JMPL         GET_POWER_SENSOR             PSUB("Get")
  1.003  DISP         Called subprocedure not found!
  1.004  END


  1.005  EVAL   Increment step number

# =============  Sub MG369XB Init Specified Power Sensor  ===================
  2.001  LABEL        INIT_POWER_SENSOR
# Specify power sensors to be used with ML2430A Series Power Meter.
  2.002  MATH         @ML2430_PS_LE_50MHz           = "SC7400"
  2.003  MATH         @ML2430_PS_UUT_CON_K          = "MA2474"
  2.004  MATH         @ML2430_PS_UUT_CON_V          = "MA2475"
  2.005  MATH         @ML2430_PS_UUT_CON_V_GT_50GHz = "SC7430"
  2.006  END

  2.007  EVAL   Increment Step Number

# =============  Sub MG369XB Get Specified Power Sensor  ====================
  3.001  LABEL        GET_POWER_SENSOR

  3.002  IF           @FreqGHz <= 0.05
  3.003  MATH         @PS = @ML2430_PS_LE_50MHz
  3.004  ELSEIF       ZCMP(@MG369XB_Con, "K")
  3.005  MATH         @PS = @ML2430_PS_UUT_CON_K
  3.006  ELSEIF       @FreqGHz > 50.0
  3.007  MATH         @PS = @ML2430_PS_UUT_CON_V_GT_50GHz
  3.008  ELSE
  3.009  MATH         @PS = @ML2430_PS_UUT_CON_V
  3.010  ENDIF

  3.011  END

